# Ukui Control Center
## Overview
Ukui Control Center provides a friendly graphic interface to set the system. As shown in Fig 1.

![Fig 1 Ukui Control Center-big](image/1.png)
<br>

## System
### Display
As shown in Fig 2.

![Fig 2 Display-big](image/2.png)

- monitor：Select current monitor.

- resolution, orientation, refresh rate, screen zoom are all for the current active monitor.

- screen zoom to global zoom.

- night mode has the functions of adjusting color temperature and customizing the night mode time period.

### Touchscreen
As shown in Fig 3.

![Fig 3 Touchscreen](image/3.png)

- monitor: Select the screen that you want to map to.

- device: The name of the chosen touchscreen.

### Defaultapp
As shown in Fig 4, browser, mail, image viewer, audio player, video player, text editor can be changed.

![Fig 4 Defaultapp-big](image/4.png)

### Power
- Provide "Balance", "Saving", "Custom" modes.

![Fig 5 Power-big](image/5.png)

- "Custom" includes "PC sleep time" and "DP close time".

![Fig 6 Custom mode](image/6.png)

### Auto Boot
List shows the existed autoboot applications.

![Fig 7 Auto boot-big](image/7.png)

Click "+" can add apps.

<br>

## Devices
### Printer
Provide an entry to add printers or scanners. 

![Fig 8 Printer-big](image/8.png)

### Mouse
Customize the mouse key, pointer settings, and cursor settings.

![Fig 9 Mouse-big](image/9.png)

### Touchpad
Touchpad provides the settings as shown in Fig 10.

![Fig 10 Touchpad-big](image/10.png)

### Keyboard
Set the keyboard's general items, and adjust the layout by the language.

![Fig 11 Keyboard-big](image/11.png)

- Enable repeat key: Long press one button will be recognized to repeat input.

- Delay: The time between press button and receive input.

- Speed: The time between repeat input.

- Layout: Up to 4 layouts can be added.

### Shortcut
View all the system shortcuts and customize shortcut.

![Fig 12 Shortcut-big](image/12.png)

Tips: System shortcuts are not allowed to be modified.

Click "Add custom shortcut" and the popup as shown in Fig 13.

![Fig 13 Add shortcut](image/13.png)

### Audio
Settings for output, input and system sound, as shown in Fig 14.

![Fig 14 Audio-big](image/14.png)

### Bluetooth
Provide the functions like those: open the bluetooth, rename the device, show/hide the icon of the bluetooth, find the nearby devices, etc.. As shown in Fig 15.

![Fig 15 Bluetooth-big](image/15.png)
<br>

## Personalized
### Background
Here are "picture" and "color" can be selected.

![Fig 16 Background-big](image/16.png)

### Theme
- Theme Mode:

![Fig 17 Theme mode](image/17.png)

- Icon theme and cursor theme:

![Fig 18 Icon&cursor theme](image/18.png)

- Effect settings (some machines do not support this function):

![Fig 19 Effect settings](image/19.png)

### Screenlock
Select the background image that shows in login interface.

![Fig 20 Screenlock-big](image/20.png)

### Fonts
Settings for font, size, mono font.

Click "Reset to default" to restore the settings to default status.

![Fig 21 Fonts-big](image/21.png)

### Screensaver
Set the screensaver program and idle time.

![Fig 22 Screensaver-big](image/22.png)

### Desktop
Set the icons lock on Start Menu and Tray Menu.

![Fig 23 Desktop-big](image/23.png)
<br>

## Network
It includes "Connect", "Vpn", "Proxy", and "Vino".

![Fig 24 Network-big](image/24.png)

### Connect
Show the available network, open wifi, etc..

#### Set Wired Connection
1) Click "Networking settings" to open the setting window.

2) Click "+" and choose "Ethernet". In the "Ethernet" tab can select device.

![Fig 25 Select device-big](image/25.png)

3) In the "IPv4 Settings" tab can edit the net configuration.

![Fig 26 Configuration-big](image/26.png)

4) Click "Save", and the system will use this connection automatically.

### Vpn
Open the settings of VPN.

![Fig 27 Vpn-big](image/27.png)

### Proxy
Auto proxy, manual proxy (including HTTP, HTTPS, FTP, SOCKS).

![Fig 28 Proxy-big](image/28.png)

### Vino
Users can set that confirm when conect or enter specified password after checking "Allow others to view your desktop".

![Fig 29 Vino-big](image/29.png)
<br>

## Account
Manage all the system users, create/delete users, and modify users' informations.

![Fig 30 Account-big](image/30.png)

### User Info
#### Current User
- Change User Face: Click user's face can change it.

![Fig 31 Change face](image/31.png)

- Change Password: Click "Password" to modify the current user's password.

![Fig 32 Change password](image/32.png)

- Change Account Type: administrator -- can elevated permission temporarily; standard user -- can't elevated permission.

![Fig 33 Change password](image/33.png)

#### Other Users
Administrator can modify other user's information, add new user, etc..

- Add new user

![Fig 34 Add new user](image/34.png)

- Edit

![Fig 35 Edit user](image/35.png)

### Cloud Account
Synchronize personalized settings and data, and this function needs to sign in.

![Fig 36 Cloud account-big](image/36.png)

#### Sign In
Login through Kylin ID login Center.

#### Synchronizable Items
- Desktop wallpaper

- Screensaver: wallpaper and idle time

- Fonts

- User's face

- The settings in control center, such as start menu, taskbar, theme, etc.

- The settings of pluma, kylin weather, peony, terminal, kylin video.

#### Tips
1) When opening the cloud account first time, it will synchronize once by default. If the cloud exists configuration files, it will download them and sync to local; Otherwise, the local configuration files will be uploaded to the cloud.

2) After login, if the automatic synchronization is opened, the cloud will synchronize the local configurations every 5 minutes. And they can be used by different machines, different users.

3) If the automatic synchronization is closed, all the cloud configurations will keep the last upload status.

4) The automatic synchronization for the single item is the similar effects.

<br>

## Datetime
As shown in Fig 37:

![Fig 37 Datetime-big](image/37.png)

- Sync from network: Sync the time on the Internet NTP server.

- Change time: Manual set the time and date.

![Fig 38 Change time](image/38.png)

- Change time zone:

![Fig 39 Time zone-big](image/39.png)

### Area

![Fig 40 Area-big](image/40.png)

- change format of data: Customize calendar, first day of week, date, time.

![Fig 41 Change format of data](image/41.png)

- first language: Language in system windows, menus and website. 

- Click "Add main language" to add others.

<br>

## Update
### Security Center
An access of security center.

![Fig 42 Security center-big](image/42.png)

### Backup
- Begin backup: Back up files to other devices.

- Begin restore: View backup list and restore the system to one of them.

![Fig 43 Backup-big](image/43.png)

### Upgrade
Check whether the system has available updates.

- Update: Show the current update status and the time of the latest refresh.

- Update List: Push system available updates.

- Update Settings: Whether allow to renewable notice and backup before updating.

![Fig 44 Upgrade-big](image/44.png)

The update history can be seen here.

![Fig 45 History-big](image/45.png)

 

### Background update

Background update is mainly used for important update operations in the background, and to remind users of available update content.
<br>

- When there is an important update, the update will be silently in the background, and the user will receive the notification information before and after the upgrade.

![图 44 后台更新-big](/Users/dadadali/source/ukui-control-center/data/en_US/image/notiffirst.png)

![图 45 后台更新-big](/Users/dadadali/source/ukui-control-center/data/en_US/image/notiend.png)

- When there are available updates, the selection interface will pop up for users to select.

![图 47 后台更新-big](/Users/dadadali/source/ukui-control-center/data/en_US/image/choicewidget.png)

- After the user selects immediate update, the Settings > update interface will pop up to check the update

- When the user chooses to delay, the record sets the delay time and exits the background update program

## Messages
### Notice
As shown in Fig 46.

![Fig 46 Notice-big](image/46.png)

### About
Show the system version, authentication, etc..

![Fig 47 About-big](image/47.png)
